Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2080::/12
First address
2080::
Last address
208f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2080:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
8.0.2.ip6.arpa
Split into smaller subnets/28

2080::/12 makes 65,536 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12080::/282080:f:ffff:ffff:ffff:ffff:ffff:ffff
22080:10::/282080:1f:ffff:ffff:ffff:ffff:ffff:ffff
32080:20::/282080:2f:ffff:ffff:ffff:ffff:ffff:ffff
42080:30::/282080:3f:ffff:ffff:ffff:ffff:ffff:ffff
52080:40::/282080:4f:ffff:ffff:ffff:ffff:ffff:ffff
62080:50::/282080:5f:ffff:ffff:ffff:ffff:ffff:ffff
72080:60::/282080:6f:ffff:ffff:ffff:ffff:ffff:ffff
82080:70::/282080:7f:ffff:ffff:ffff:ffff:ffff:ffff
92080:80::/282080:8f:ffff:ffff:ffff:ffff:ffff:ffff
102080:90::/282080:9f:ffff:ffff:ffff:ffff:ffff:ffff
112080:a0::/282080:af:ffff:ffff:ffff:ffff:ffff:ffff
122080:b0::/282080:bf:ffff:ffff:ffff:ffff:ffff:ffff
132080:c0::/282080:cf:ffff:ffff:ffff:ffff:ffff:ffff
142080:d0::/282080:df:ffff:ffff:ffff:ffff:ffff:ffff
152080:e0::/282080:ef:ffff:ffff:ffff:ffff:ffff:ffff
162080:f0::/282080:ff:ffff:ffff:ffff:ffff:ffff:ffff
172080:100::/282080:10f:ffff:ffff:ffff:ffff:ffff:ffff
182080:110::/282080:11f:ffff:ffff:ffff:ffff:ffff:ffff
192080:120::/282080:12f:ffff:ffff:ffff:ffff:ffff:ffff
202080:130::/282080:13f:ffff:ffff:ffff:ffff:ffff:ffff
212080:140::/282080:14f:ffff:ffff:ffff:ffff:ffff:ffff
222080:150::/282080:15f:ffff:ffff:ffff:ffff:ffff:ffff
232080:160::/282080:16f:ffff:ffff:ffff:ffff:ffff:ffff
242080:170::/282080:17f:ffff:ffff:ffff:ffff:ffff:ffff
252080:180::/282080:18f:ffff:ffff:ffff:ffff:ffff:ffff
262080:190::/282080:19f:ffff:ffff:ffff:ffff:ffff:ffff
272080:1a0::/282080:1af:ffff:ffff:ffff:ffff:ffff:ffff
282080:1b0::/282080:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292080:1c0::/282080:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302080:1d0::/282080:1df:ffff:ffff:ffff:ffff:ffff:ffff
312080:1e0::/282080:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322080:1f0::/282080:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332080:200::/282080:20f:ffff:ffff:ffff:ffff:ffff:ffff
342080:210::/282080:21f:ffff:ffff:ffff:ffff:ffff:ffff
352080:220::/282080:22f:ffff:ffff:ffff:ffff:ffff:ffff
362080:230::/282080:23f:ffff:ffff:ffff:ffff:ffff:ffff
372080:240::/282080:24f:ffff:ffff:ffff:ffff:ffff:ffff
382080:250::/282080:25f:ffff:ffff:ffff:ffff:ffff:ffff
392080:260::/282080:26f:ffff:ffff:ffff:ffff:ffff:ffff
402080:270::/282080:27f:ffff:ffff:ffff:ffff:ffff:ffff
412080:280::/282080:28f:ffff:ffff:ffff:ffff:ffff:ffff
422080:290::/282080:29f:ffff:ffff:ffff:ffff:ffff:ffff
432080:2a0::/282080:2af:ffff:ffff:ffff:ffff:ffff:ffff
442080:2b0::/282080:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452080:2c0::/282080:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462080:2d0::/282080:2df:ffff:ffff:ffff:ffff:ffff:ffff
472080:2e0::/282080:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482080:2f0::/282080:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492080:300::/282080:30f:ffff:ffff:ffff:ffff:ffff:ffff
502080:310::/282080:31f:ffff:ffff:ffff:ffff:ffff:ffff
512080:320::/282080:32f:ffff:ffff:ffff:ffff:ffff:ffff
522080:330::/282080:33f:ffff:ffff:ffff:ffff:ffff:ffff
532080:340::/282080:34f:ffff:ffff:ffff:ffff:ffff:ffff
542080:350::/282080:35f:ffff:ffff:ffff:ffff:ffff:ffff
552080:360::/282080:36f:ffff:ffff:ffff:ffff:ffff:ffff
562080:370::/282080:37f:ffff:ffff:ffff:ffff:ffff:ffff
572080:380::/282080:38f:ffff:ffff:ffff:ffff:ffff:ffff
582080:390::/282080:39f:ffff:ffff:ffff:ffff:ffff:ffff
592080:3a0::/282080:3af:ffff:ffff:ffff:ffff:ffff:ffff
602080:3b0::/282080:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612080:3c0::/282080:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622080:3d0::/282080:3df:ffff:ffff:ffff:ffff:ffff:ffff
632080:3e0::/282080:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642080:3f0::/282080:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652080:400::/282080:40f:ffff:ffff:ffff:ffff:ffff:ffff
662080:410::/282080:41f:ffff:ffff:ffff:ffff:ffff:ffff
672080:420::/282080:42f:ffff:ffff:ffff:ffff:ffff:ffff
682080:430::/282080:43f:ffff:ffff:ffff:ffff:ffff:ffff
692080:440::/282080:44f:ffff:ffff:ffff:ffff:ffff:ffff
702080:450::/282080:45f:ffff:ffff:ffff:ffff:ffff:ffff
712080:460::/282080:46f:ffff:ffff:ffff:ffff:ffff:ffff
722080:470::/282080:47f:ffff:ffff:ffff:ffff:ffff:ffff
732080:480::/282080:48f:ffff:ffff:ffff:ffff:ffff:ffff
742080:490::/282080:49f:ffff:ffff:ffff:ffff:ffff:ffff
752080:4a0::/282080:4af:ffff:ffff:ffff:ffff:ffff:ffff
762080:4b0::/282080:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772080:4c0::/282080:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782080:4d0::/282080:4df:ffff:ffff:ffff:ffff:ffff:ffff
792080:4e0::/282080:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802080:4f0::/282080:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812080:500::/282080:50f:ffff:ffff:ffff:ffff:ffff:ffff
822080:510::/282080:51f:ffff:ffff:ffff:ffff:ffff:ffff
832080:520::/282080:52f:ffff:ffff:ffff:ffff:ffff:ffff
842080:530::/282080:53f:ffff:ffff:ffff:ffff:ffff:ffff
852080:540::/282080:54f:ffff:ffff:ffff:ffff:ffff:ffff
862080:550::/282080:55f:ffff:ffff:ffff:ffff:ffff:ffff
872080:560::/282080:56f:ffff:ffff:ffff:ffff:ffff:ffff
882080:570::/282080:57f:ffff:ffff:ffff:ffff:ffff:ffff
892080:580::/282080:58f:ffff:ffff:ffff:ffff:ffff:ffff
902080:590::/282080:59f:ffff:ffff:ffff:ffff:ffff:ffff
912080:5a0::/282080:5af:ffff:ffff:ffff:ffff:ffff:ffff
922080:5b0::/282080:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932080:5c0::/282080:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942080:5d0::/282080:5df:ffff:ffff:ffff:ffff:ffff:ffff
952080:5e0::/282080:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962080:5f0::/282080:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972080:600::/282080:60f:ffff:ffff:ffff:ffff:ffff:ffff
982080:610::/282080:61f:ffff:ffff:ffff:ffff:ffff:ffff
992080:620::/282080:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002080:630::/282080:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012080:640::/282080:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022080:650::/282080:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032080:660::/282080:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042080:670::/282080:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052080:680::/282080:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062080:690::/282080:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072080:6a0::/282080:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082080:6b0::/282080:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092080:6c0::/282080:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102080:6d0::/282080:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112080:6e0::/282080:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122080:6f0::/282080:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132080:700::/282080:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142080:710::/282080:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152080:720::/282080:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162080:730::/282080:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172080:740::/282080:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182080:750::/282080:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192080:760::/282080:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202080:770::/282080:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212080:780::/282080:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222080:790::/282080:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232080:7a0::/282080:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242080:7b0::/282080:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252080:7c0::/282080:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262080:7d0::/282080:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272080:7e0::/282080:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282080:7f0::/282080:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292080:800::/282080:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302080:810::/282080:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312080:820::/282080:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322080:830::/282080:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332080:840::/282080:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342080:850::/282080:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352080:860::/282080:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362080:870::/282080:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372080:880::/282080:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382080:890::/282080:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392080:8a0::/282080:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402080:8b0::/282080:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412080:8c0::/282080:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422080:8d0::/282080:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432080:8e0::/282080:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442080:8f0::/282080:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452080:900::/282080:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462080:910::/282080:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472080:920::/282080:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482080:930::/282080:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492080:940::/282080:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502080:950::/282080:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512080:960::/282080:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522080:970::/282080:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532080:980::/282080:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542080:990::/282080:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552080:9a0::/282080:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562080:9b0::/282080:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572080:9c0::/282080:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582080:9d0::/282080:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592080:9e0::/282080:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602080:9f0::/282080:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612080:a00::/282080:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622080:a10::/282080:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632080:a20::/282080:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642080:a30::/282080:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652080:a40::/282080:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662080:a50::/282080:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672080:a60::/282080:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682080:a70::/282080:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692080:a80::/282080:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702080:a90::/282080:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712080:aa0::/282080:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722080:ab0::/282080:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732080:ac0::/282080:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742080:ad0::/282080:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752080:ae0::/282080:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762080:af0::/282080:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772080:b00::/282080:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782080:b10::/282080:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792080:b20::/282080:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802080:b30::/282080:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812080:b40::/282080:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822080:b50::/282080:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832080:b60::/282080:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842080:b70::/282080:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852080:b80::/282080:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862080:b90::/282080:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872080:ba0::/282080:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882080:bb0::/282080:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892080:bc0::/282080:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902080:bd0::/282080:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912080:be0::/282080:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922080:bf0::/282080:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932080:c00::/282080:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942080:c10::/282080:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952080:c20::/282080:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962080:c30::/282080:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972080:c40::/282080:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982080:c50::/282080:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992080:c60::/282080:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002080:c70::/282080:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012080:c80::/282080:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022080:c90::/282080:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032080:ca0::/282080:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042080:cb0::/282080:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052080:cc0::/282080:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062080:cd0::/282080:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072080:ce0::/282080:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082080:cf0::/282080:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092080:d00::/282080:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102080:d10::/282080:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112080:d20::/282080:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122080:d30::/282080:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132080:d40::/282080:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142080:d50::/282080:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152080:d60::/282080:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162080:d70::/282080:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172080:d80::/282080:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182080:d90::/282080:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192080:da0::/282080:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202080:db0::/282080:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212080:dc0::/282080:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222080:dd0::/282080:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232080:de0::/282080:def:ffff:ffff:ffff:ffff:ffff:ffff
2242080:df0::/282080:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252080:e00::/282080:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262080:e10::/282080:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272080:e20::/282080:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282080:e30::/282080:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292080:e40::/282080:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302080:e50::/282080:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312080:e60::/282080:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322080:e70::/282080:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332080:e80::/282080:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342080:e90::/282080:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352080:ea0::/282080:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362080:eb0::/282080:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372080:ec0::/282080:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382080:ed0::/282080:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392080:ee0::/282080:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402080:ef0::/282080:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412080:f00::/282080:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422080:f10::/282080:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432080:f20::/282080:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442080:f30::/282080:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452080:f40::/282080:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462080:f50::/282080:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472080:f60::/282080:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482080:f70::/282080:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492080:f80::/282080:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502080:f90::/282080:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512080:fa0::/282080:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522080:fb0::/282080:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532080:fc0::/282080:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542080:fd0::/282080:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552080:fe0::/282080:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562080:ff0::/282080:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses